%define module_version 0.15
%define module_name Plift
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Benchmark.pm) perl(Class/Load.pm) perl(Digest/MD5.pm) perl(Encode.pm) perl(FindBin.pm) perl(HTML/Template.pm) perl(HTML/Template/Pro.pm) perl(JSON.pm) perl(Module/Build/Tiny.pm) perl(Moo.pm) perl(Path/Tiny.pm) perl(Ref/Util.pm) perl(Template.pm) perl(Template/Pure.pm) perl(Test/Exception.pm) perl(Test/More.pm) perl(URI.pm) perl(XML/LibXML/jQuery.pm) perl(namespace/clean.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.15
Release: alt1
Summary: Designer friendly, safe, extensible HTML template engine.
Group: Development/Perl
License: perl
URL: https://github.com/cafe01/template-plift

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/C/CA/CAFEGRATZ/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
Plift is a HTML template engine which enforces strict separation of business logic
from the view. It is designer friendly, safe, extensible and fast enough to
be used as a web request renderer. This engine tries to follow the principles
described in the paper *Enforcing Strict Model-View Separation in Template Engines*
by Terence Parr of University of San Francisco. The goal is to provide suficient
power without providing constructs that allow separation violations.


%prep
%setup -q -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE README.md Changes
%perl_vendor_privlib/P*

%changelog
* Tue Nov 01 2016 Igor Vlasenko <viy@altlinux.ru> 0.15-alt1
- regenerated from template by package builder

* Wed Oct 12 2016 Igor Vlasenko <viy@altlinux.ru> 0.12-alt1
- regenerated from template by package builder

* Sun Sep 18 2016 Igor Vlasenko <viy@altlinux.ru> 0.10-alt1
- regenerated from template by package builder

* Thu Sep 01 2016 Igor Vlasenko <viy@altlinux.ru> 0.08-alt1
- regenerated from template by package builder

* Tue Jul 26 2016 Igor Vlasenko <viy@altlinux.ru> 0.06-alt1
- initial import by package builder

